Skip to content
Kapten
Esc
↑↓navigate↵open⌘Jpreview

Get an application

Returns an application.

GET/project/{project_id}/environment/{environment_id}/application/{application_id}
Authorization
AuthorizationBearer token (JWT) · headerrequired

JWT token passed in the Authorization header using the Bearer <token> format.

Path parameters
project_iduuidrequired

The unique identifier for the project

environment_iduuidrequired

The unique identifier of the environment

application_iduuidrequired

The unique identifier for the application

Responses
200

Application retrieved successfully

iduuidrequired

A universally unique identifier (UUID) string

organization_iduuidrequired

A universally unique identifier (UUID) string

project_iduuidrequired

A universally unique identifier (UUID) string

cluster_iduuidrequired

A universally unique identifier (UUID) string

environment_iduuidrequired

A universally unique identifier (UUID) string

namestringrequired

Name of the application component.

descriptionstring
last_run_iduuid | null
Show properties
Any of:
uuid
string<uuid>
null
null
last_run_statuscomponent_deployment_state

Deployment state for a component resource.

Allowed:QUEUEDSCHEDULEDRUNNINGRETRYINGSUCCEEDEDFAILEDCANCELEDTIMED_OUTSKIPPEDNONE
configurationobjectrequired
Show properties
cpu_limit_in_millistringrequired

Maximum CPU allocated to the application. Unit is millicores (m).

ram_limit_in_mibstringrequired

Maximum memory allocated to the application.

cpu_request_in_millistringrequired

Requested CPU. Unit is millicores (m).

ram_request_in_mibstringrequired

Requested memory.

gpu_limitinteger

GPU count.

min 0
min_running_instancesintegerrequired
min 1
max_running_instancesintegerrequired
min 1
sourceapplication_container_source | application_github_sourcerequired
Show properties
One of:
application_container_source
typestringrequired

Container source discriminator.

Allowed:container
image_namestringrequired

image name

min length 1 · matches \S
tagstringrequired

tag of the image container

min length 1 · matches \S
application_github_source
typestringrequired
Allowed:github
installation_iduuidrequired

A universally unique identifier (UUID) string

repository_idstringrequired
matches ^[1-9][0-9]*$
repository_ownerstringrequired
repository_namestringrequired
repository_full_namestringrequired
repository_privatebooleanrequired
repository_archivedbooleanrequired
repository_default_branchstringrequired
branchstringrequired
availabilitystringrequired

Live, response-only attention state for the exact configured source identity.

Allowed:availableinstallation_suspendedinstallation_deletedrepository_unavailablebranch_unavailablegithub_unavailable
trigger_policyobjectrequired
Show properties
automaticbooleanrequired
path_modestringrequired
Allowed:noneincludeexclude
pathsstring[]required
max items 50
build_policyobjectrequired
Show properties
contextstringrequired
cpu_request_in_millistringrequired
matches ^[1-9][0-9]*m$
cpu_limit_in_millistringrequired
matches ^[1-9][0-9]*m$
ram_request_in_mibstringrequired
matches ^[1-9][0-9]*Mi$
ram_limit_in_mibstringrequired
matches ^[1-9][0-9]*Mi$
timeout_secondsintegerrequired
min 60 · max 7200
healthcheckshealthcheckrequired

Configuration object for health check probes including readiness and liveness probe settings

Show properties
readiness_probeprobe | null

Configuration for health check probes used to determine the health status of a container or service. Supports multiple probe types including TCP, HTTP, exec command, and gRPC.

Show properties
typeobject
Show properties
tcpobject | null
Show properties
portinteger
hoststring | null
default: null
httpobject | null
Show properties
pathstring
default: "/"
schemestring
default: "HTTP"
portinteger
execobject | null
Show properties
commandstring[]
grpcobject | null
Show properties
servicestring | null
default: null
portinteger
initial_delay_secondsinteger
default: 30
period_secondsinteger
default: 10
timeout_secondsinteger
default: 5
success_thresholdinteger
default: 1
failure_thresholdinteger
default: 9
liveness_probeprobe | null

Configuration for health check probes used to determine the health status of a container or service. Supports multiple probe types including TCP, HTTP, exec command, and gRPC.

Show properties
typeobject
Show properties
tcpobject | null
Show properties
portinteger
hoststring | null
default: null
httpobject | null
Show properties
pathstring
default: "/"
schemestring
default: "HTTP"
portinteger
execobject | null
Show properties
commandstring[]
grpcobject | null
Show properties
servicestring | null
default: null
portinteger
initial_delay_secondsinteger
default: 30
period_secondsinteger
default: 10
timeout_secondsinteger
default: 5
success_thresholdinteger
default: 1
failure_thresholdinteger
default: 9
portsapplication_port[]required
Show properties
Array of application_port
iduuid

A universally unique identifier (UUID) string

namestringrequired

Human-readable port name.

is_defaultbooleanrequired

Whether this is the default port for future domain routing.

internal_portintegerrequired

Listening port inside the application.

min 1 · max 65535
external_portinteger | null

Optional exposed port, persisted for future exposure features.

min 1 · max 65535
protocolapplication_protocolrequired

Application port protocol.

Allowed:HTTPGRPCTCPUDP
storagesapplication_storage[]required
Show properties
Array of application_storage
iduuid

A universally unique identifier (UUID) string

namestringrequired

Human-readable storage name.

mount_pathstringrequired

Absolute path mounted into the application.

size_in_gibintegerrequired

Persistent volume size in GiB.

min 1
storage_typestringrequired

Kubernetes storage class name.

entrypointstring
argumentsstring[]
default

Error

codeinteger<int32>required
messagestringrequired
reasonstring

Optional stable machine-readable reason for programmatic error handling

Request
curl -X GET 'https://api.kapten.io/project/497f6eca-6276-4993-bfeb-53cbbbba6f08/environment/497f6eca-6276-4993-bfeb-53cbbbba6f08/application/497f6eca-6276-4993-bfeb-53cbbbba6f08' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json'
Response
{
  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
  "organization_id": "7c60d51f-b44e-4682-87d6-449835ea4de6",
  "project_id": "405d8375-3514-403b-8c43-83ae74cfe0e9",
  "cluster_id": "d3d1bfdf-67c4-41fa-b065-858242731616",
  "environment_id": "40ef0e48-a11f-4963-a229-e396c9f7e7c4",
  "name": "string",
  "description": "string",
  "last_run_id": "08df5d92-87b1-40a2-b1e7-a5977dea4efc",
  "last_run_status": "QUEUED",
  "configuration": {
    "cpu_limit_in_milli": "2000m",
    "ram_limit_in_mib": "2048Mi",
    "cpu_request_in_milli": "1000m",
    "ram_request_in_mib": "1024Mi",
    "gpu_limit": 0,
    "min_running_instances": 1,
    "max_running_instances": 1,
    "source": {
      "type": "container",
      "image_name": "string",
      "tag": "string"
    },
    "healthchecks": {
      "readiness_probe": {
        "type": {
          "tcp": {
            "port": 0,
            "host": null
          },
          "http": {
            "path": "/",
            "scheme": "HTTP",
            "port": 0
          },
          "exec": {
            "command": [
              "string"
            ]
          },
          "grpc": {
            "service": null,
            "port": 0
          }
        },
        "initial_delay_seconds": 30,
        "period_seconds": 10,
        "timeout_seconds": 5,
        "success_threshold": 1,
        "failure_threshold": 9
      },
      "liveness_probe": {
        "type": {
          "tcp": {
            "port": 0,
            "host": null
          },
          "http": {
            "path": "/",
            "scheme": "HTTP",
            "port": 0
          },
          "exec": {
            "command": [
              "string"
            ]
          },
          "grpc": {
            "service": null,
            "port": 0
          }
        },
        "initial_delay_seconds": 30,
        "period_seconds": 10,
        "timeout_seconds": 5,
        "success_threshold": 1,
        "failure_threshold": 9
      }
    },
    "ports": [
      {
        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
        "name": "string",
        "is_default": true,
        "internal_port": 1,
        "external_port": 1,
        "protocol": "HTTP"
      }
    ],
    "storages": [
      {
        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
        "name": "string",
        "mount_path": "string",
        "size_in_gib": 1,
        "storage_type": "string"
      }
    ],
    "entrypoint": "string",
    "arguments": [
      "string"
    ]
  }
}

Was this page helpful?